umbrello: OwnedCodeBlock Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
OwnedCodeBlock Class Referenceabstract

`#include <ownedcodeblock.h>`

Inheritance diagram for OwnedCodeBlock:

## Public Slots
virtual void | syncToParent ()

## Public Member Functions
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
virtual void | updateContent ()=0

## Protected Member Functions
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)

## Private Member Functions
void | initFields (UMLObject *parent)

## Private Attributes
UMLObject * | m_parentObject

## Detailed Description

Describes any codeblock which is 'owned' by a UMLobject of some sort and should be in sync with that parent.

## Constructor & Destructor Documentation

## ◆ OwnedCodeBlock()

OwnedCodeBlock::OwnedCodeBlock | ( | UMLObject * | parent | ) |
| explicit

Constructor

## ◆ ~OwnedCodeBlock()

OwnedCodeBlock::~OwnedCodeBlock | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getParentObject()

UMLObject * OwnedCodeBlock::getParentObject | ( |  | ) |

Get the value of m_parentObject.

Returns
  the value of m_parentObject

## ◆ initFields()

void OwnedCodeBlock::initFields | ( | UMLObject * | parent | ) |
| private

## ◆ release()

void OwnedCodeBlock::release | ( |  | ) |
| protectedvirtual

Causes the text block to release all of its connections and any other text blocks that it 'owns'. Needed to be called prior to deletion of the textblock.

Reimplemented in CodeAccessorMethod, CodeClassFieldDeclarationBlock, CodeMethodBlock, and OwnedHierarchicalCodeBlock.

## ◆ setAttributesFromNode()

void OwnedCodeBlock::setAttributesFromNode | ( | QDomElement & | elem | ) |
| protectedvirtual

Set the class attributes of this object from the passed element node.

Reimplemented in CodeAccessorMethod, CodeClassFieldDeclarationBlock, CodeMethodBlock, CodeOperation, DCodeAccessorMethod, JavaCodeAccessorMethod, OwnedHierarchicalCodeBlock, and RubyCodeAccessorMethod.

## ◆ setAttributesFromObject()

void OwnedCodeBlock::setAttributesFromObject | ( | TextBlock * | obj | ) |
| protectedvirtual

Set the class attributes from a passed object.

Reimplemented in CodeAccessorMethod, CodeClassFieldDeclarationBlock, CodeMethodBlock, CodeOperation, CPPHeaderClassDeclarationBlock, DClassDeclarationBlock, and OwnedHierarchicalCodeBlock.

## ◆ setAttributesOnNode()

void OwnedCodeBlock::setAttributesOnNode | ( | QXmlStreamWriter & | writer | ) |
| protectedvirtual

Reimplemented in CodeAccessorMethod, CodeClassFieldDeclarationBlock, CodeMethodBlock, CodeOperation, DCodeAccessorMethod, JavaCodeAccessorMethod, OwnedHierarchicalCodeBlock, and RubyCodeAccessorMethod.

## ◆ syncToParent

void OwnedCodeBlock::syncToParent | ( |  | ) |
| virtualslot

## ◆ updateContent()

virtual void OwnedCodeBlock::updateContent | ( |  | ) |
| pure virtual

Implemented in CodeOperation, CPPHeaderClassDeclarationBlock, CPPHeaderCodeAccessorMethod, CPPHeaderCodeClassFieldDeclarationBlock, CPPHeaderCodeOperation, CPPSourceCodeAccessorMethod, CPPSourceCodeClassFieldDeclarationBlock, CPPSourceCodeOperation, DClassDeclarationBlock, DCodeAccessorMethod, DCodeClassFieldDeclarationBlock, JavaClassDeclarationBlock, JavaCodeAccessorMethod, JavaCodeClassFieldDeclarationBlock, RubyClassDeclarationBlock, RubyCodeAccessorMethod, RubyCodeClassFieldDeclarationBlock, CodeAccessorMethod, CodeClassFieldDeclarationBlock, CodeMethodBlock, and OwnedHierarchicalCodeBlock.

## Member Data Documentation

## ◆ m_parentObject

UMLObject* OwnedCodeBlock::m_parentObject
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/ownedcodeblock.h
- umbrello/codegenerators/ownedcodeblock.cpp